igeo

## Class ICircle

- java.lang.Object
- - igeo.IObject
  - - igeo.IGeometry
    - - igeo.ICurve
      - - igeo.ICircle

- All Implemented Interfaces:
    ICurveI, ICurveOp, IParameter, ITransformable, IVal

      public class ICircle
      extends ICurve

  Circle object. It contains ICircleGeo instance inside.
  Author:
    Satoru Sugihara

- - ### Field Summary

    - ### Fields inherited from class igeo.ICurve

      `curve`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICircle(double x, double y, double z, double radius)`
    `ICircle(double x, double y, double z, double radius, boolean approx)`
    `ICircle(double x, double y, double z, double xradius, double yradius)`
    `ICircle(double x, double y, double z, double xradius, double yradius, boolean approx)`
    `ICircle(ICircleGeo cir)`
    `ICircle(IServerI s, double x, double y, double z, double radius)`
    `ICircle(IServerI s, double x, double y, double z, double radius, boolean approx)`
    `ICircle(IServerI s, double x, double y, double z, double xradius, double yradius)`
    `ICircle(IServerI s, double x, double y, double z, double xradius, double yradius, boolean approx)`
    `ICircle(IServerI s, ICircleGeo cir)`
    `ICircle(IServerI s, IVecI center, double radius)`
    `ICircle(IServerI s, IVecI center, double radius, boolean approx)`
    `ICircle(IServerI s, IVecI center, double xradius, double yradius)`
    `ICircle(IServerI s, IVecI center, double xradius, double yradius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IDoubleI radius)`
    `ICircle(IServerI s, IVecI center, IDoubleI radius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IDoubleI xradius, IDoubleI yradius)`
    `ICircle(IServerI s, IVecI center, IDoubleI xradius, IDoubleI yradius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, double radius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, double radius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, double xradius, double yradius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, double xradius, double yradius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IDoubleI radius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IDoubleI radius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IDoubleI xradius, IDoubleI yradius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IDoubleI xradius, IDoubleI yradius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI xradiusVec, IVecI yradiusVec)`
    `ICircle(IServerI s, IVecI center, IVecI xradiusVec, IVecI yradiusVec, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, double radius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, double radius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, double xradius, double yradius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, double xradius, double yradius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, IDoubleI radius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, IDoubleI radius, boolean approx)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, IDoubleI xradius, IDoubleI yradius)`
    `ICircle(IServerI s, IVecI center, IVecI normal, IVecI rollDir, IDoubleI xradius, IDoubleI yradius, boolean approx)`
    `ICircle(IVecI center, double radius)`
    `ICircle(IVecI center, double radius, boolean approx)`
    `ICircle(IVecI center, double xradius, double yradius)`
    `ICircle(IVecI center, double xradius, double yradius, boolean approx)`
    `ICircle(IVecI center, IDoubleI radius)`
    `ICircle(IVecI center, IDoubleI radius, boolean approx)`
    `ICircle(IVecI center, IDoubleI xradius, IDoubleI yradius)`
    `ICircle(IVecI center, IDoubleI xradius, IDoubleI yradius, boolean approx)`
    `ICircle(IVecI center, IVecI normal, double radius)`
    `ICircle(IVecI center, IVecI normal, double radius, boolean approx)`
    `ICircle(IVecI center, IVecI normal, double xradius, double yradius)`
    `ICircle(IVecI center, IVecI normal, double xradius, double yradius, boolean approx)`
    `ICircle(IVecI center, IVecI normal, IDoubleI radius)`
    `ICircle(IVecI center, IVecI normal, IDoubleI radius, boolean approx)`
    `ICircle(IVecI center, IVecI normal, IDoubleI xradius, IDoubleI yradius)`
    `ICircle(IVecI center, IVecI normal, IDoubleI xradius, IDoubleI yradius, boolean approx)`
    `ICircle(IVecI center, IVecI xradiusVec, IVecI yradiusVec)`
    `ICircle(IVecI center, IVecI xradiusVec, IVecI yradiusVec, boolean approx)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, double radius)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, double radius, boolean approx)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, double xradius, double yradius)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, double xradius, double yradius, boolean approx)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, IDoubleI radius)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, IDoubleI radius, boolean approx)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, IDoubleI xradius, IDoubleI yradius)`
    `ICircle(IVecI center, IVecI normal, IVecI rollDir, IDoubleI xradius, IDoubleI yradius, boolean approx)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVec` | `center()` returns center of geometry object
    `ICircle` | `center(IVecI c)`
    `static IVec4[]` | `circleCP(IVec center, double radius)`
    `static IVec4[]` | `circleCP(IVec center, IVec normal, double radius)`
    `static IVec4[]` | `circleCP(IVec center, IVec normal, IVec rollDir, double radius)`
    `static IVec4[]` | `circleCP(IVec center, IVec normal, IVec rollDir, double xradius, double yradius)`
    `static IVec[]` | `circleCPApprox(IVec center, IVec normal, IVec rollDir, double xradius, double yradius)`
    `static int` | `circleDeg()`
    `static double[]` | `circleKnots()`
    `static ICircle` | `circumcircle(IServer s, IVecI pt1, IVecI pt2, IVecI pt3)`
    `static ICircle` | `circumcircle(IVecI pt1, IVecI pt2, IVecI pt3)`
    `ICircle` | `clr(java.awt.Color c)`
    `ICircle` | `clr(java.awt.Color c, int alpha)`
    `ICircle` | `clr(double dgray)`
    `ICircle` | `clr(double dgray, double dalpha)`
    `ICircle` | `clr(double dr, double dg, double db)`
    `ICircle` | `clr(double dr, double dg, double db, double da)`
    `ICircle` | `clr(float fgray)`
    `ICircle` | `clr(float fgray, float falpha)`
    `ICircle` | `clr(float fr, float fg, float fb)`
    `ICircle` | `clr(float fr, float fg, float fb, float fa)`
    `ICircle` | `clr(IColor c)` to set an object color
    `ICircle` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `ICircle` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `ICircle` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `ICircle` | `clr(int gray)`
    `ICircle` | `clr(int gray, int alpha)`
    `ICircle` | `clr(int r, int g, int b)`
    `ICircle` | `clr(int r, int g, int b, int a)`
    `ICircle` | `clr(IObject o)` to set the same color with the object
    `ICircle` | `hide()`
    `ICircle` | `hsb(double h, double s, double b)`
    `ICircle` | `hsb(double h, double s, double b, double a)`
    `ICircle` | `hsb(float h, float s, float b)`
    `ICircle` | `hsb(float h, float s, float b, float a)`
    `ICircle` | `layer(ILayer l)` Set layer by ILayer object
    `ICircle` | `name(java.lang.String nm)` IObject methods
    `IVecI` | `nml()`
    `ICircle` | `nml(IVec n)`
    `static IVec4[]` | `ovalCP(IVec center, IVec xaxis, IVec yaxis)`
    `static IVec[]` | `ovalCPApprox(IVec center, IVec xaxis, IVec yaxis)`
    `double` | `radius()`
    `ICircle` | `radius(double r)`
    `ICircle` | `radius(IDoubleI r)`
    `ICircle` | `setColor(java.awt.Color c)`
    `ICircle` | `setColor(java.awt.Color c, int alpha)`
    `ICircle` | `setColor(double dgray)`
    `ICircle` | `setColor(double dgray, double dalpha)`
    `ICircle` | `setColor(double dr, double dg, double db)`
    `ICircle` | `setColor(double dr, double dg, double db, double da)`
    `ICircle` | `setColor(float fgray)`
    `ICircle` | `setColor(float fgray, float falpha)`
    `ICircle` | `setColor(float fr, float fg, float fb)`
    `ICircle` | `setColor(float fr, float fg, float fb, float fa)`
    `ICircle` | `setColor(int gray)`
    `ICircle` | `setColor(int gray, int alpha)`
    `ICircle` | `setColor(int r, int g, int b)`
    `ICircle` | `setColor(int r, int g, int b, int a)`
    `ICircle` | `setHSBColor(double h, double s, double b)`
    `ICircle` | `setHSBColor(double h, double s, double b, double a)`
    `ICircle` | `setHSBColor(float h, float s, float b)`
    `ICircle` | `setHSBColor(float h, float s, float b, float a)`
    `ICircle` | `show()`
    `ICircle` | `update(IVecI center, IVecI normal, IDoubleI xradius, IDoubleI yradius, boolean approx)`
    `ICircle` | `update(IVecI center, IVecI xradiusVec, IVecI yradiusVec, boolean approx)`
    `ICircle` | `update(IVecI center, IVecI normal, IVecI rollDir, IDoubleI xradius, IDoubleI yradius, boolean approx)`
    `ICircle` | `weight(double w)`
    `ICircle` | `weight(float w)`
    `double` | `xradius()`
    `ICircle` | `xradius(double r)`
    `ICircle` | `xradius(IDoubleI r)`
    `double` | `yradius()`
    `ICircle` | `yradius(double r)`
    `ICircle` | `yradius(IDoubleI r)`

    - ### Methods inherited from class igeo.ICurve

      `add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, addCP, addCP, addCP, addCP, attr, closePt, closePt, clr, clr, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, dist, dist, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, flipU, get, initCurve, insertCP, insertCP, intersectPlane, intersectPlane, isClosed, isClosed, isClosed, isInside2d, isInside2d, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, layer, len, len, len, mid, mirror, mirror, mul, mul, mv, mv, mv, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, revU, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, u, u, u, u, u, u, uend, uend, uend, ustart, ustart, ustart`

    - ### Methods inherited from class igeo.IObject

      `addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IDoubleI radius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         double radius)

    - #### ICircle

          public ICircle(IVecI center,
                         IDoubleI radius)

    - #### ICircle

          public ICircle(IVecI center,
                         double radius)

    - #### ICircle

          public ICircle(double x,
                         double y,
                         double z,
                         double radius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IDoubleI xradius,
                         IDoubleI yradius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(IVecI center,
                         IDoubleI xradius,
                         IDoubleI yradius)

    - #### ICircle

          public ICircle(IVecI center,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(double x,
                         double y,
                         double z,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double radius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI radius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI xradius,
                         IDoubleI yradius)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI xradiusVec,
                         IVecI yradiusVec)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IDoubleI radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IDoubleI radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(double x,
                         double y,
                         double z,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IDoubleI xradius,
                         IDoubleI yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IDoubleI xradius,
                         IDoubleI yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(double x,
                         double y,
                         double z,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI xradius,
                         IDoubleI yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IVecI center,
                         IVecI xradiusVec,
                         IVecI yradiusVec,
                         boolean approx)

    - #### ICircle

          public ICircle(ICircleGeo cir)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IDoubleI radius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         double radius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IDoubleI radius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         double radius)

    - #### ICircle

          public ICircle(IServerI s,
                         double x,
                         double y,
                         double z,
                         double radius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IDoubleI xradius,
                         IDoubleI yradius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IDoubleI xradius,
                         IDoubleI yradius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(IServerI s,
                         double x,
                         double y,
                         double z,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double radius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI radius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double xradius,
                         double yradius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI xradius,
                         IDoubleI yradius)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI xradiusVec,
                         IVecI yradiusVec)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IDoubleI radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IDoubleI radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         double x,
                         double y,
                         double z,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IDoubleI xradius,
                         IDoubleI yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IDoubleI xradius,
                         IDoubleI yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         double x,
                         double y,
                         double z,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI radius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         double xradius,
                         double yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI normal,
                         IVecI rollDir,
                         IDoubleI xradius,
                         IDoubleI yradius,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         IVecI center,
                         IVecI xradiusVec,
                         IVecI yradiusVec,
                         boolean approx)

    - #### ICircle

          public ICircle(IServerI s,
                         ICircleGeo cir)

  - ### Method Detail

    - #### circleDeg

          public static int circleDeg()

    - #### circleKnots

          public static double[] circleKnots()

    - #### circleCP

          public static IVec4[] circleCP(IVec center,
                                         double radius)

    - #### circleCP

          public static IVec4[] circleCP(IVec center,
                                         IVec normal,
                                         double radius)

    - #### circleCP

          public static IVec4[] circleCP(IVec center,
                                         IVec normal,
                                         IVec rollDir,
                                         double radius)

    - #### circleCP

          public static IVec4[] circleCP(IVec center,
                                         IVec normal,
                                         IVec rollDir,
                                         double xradius,
                                         double yradius)

    - #### ovalCP

          public static IVec4[] ovalCP(IVec center,
                                       IVec xaxis,
                                       IVec yaxis)

    - #### circleCPApprox

          public static IVec[] circleCPApprox(IVec center,
                                              IVec normal,
                                              IVec rollDir,
                                              double xradius,
                                              double yradius)

    - #### ovalCPApprox

          public static IVec[] ovalCPApprox(IVec center,
                                            IVec xaxis,
                                            IVec yaxis)

    - #### circumcircle

          public static ICircle circumcircle(IVecI pt1,
                                             IVecI pt2,
                                             IVecI pt3)

    - #### circumcircle

          public static ICircle circumcircle(IServer s,
                                             IVecI pt1,
                                             IVecI pt2,
                                             IVecI pt3)

    - #### update

          public ICircle update(IVecI center,
                                IVecI normal,
                                IDoubleI xradius,
                                IDoubleI yradius,
                                boolean approx)

    - #### update

          public ICircle update(IVecI center,
                                IVecI normal,
                                IVecI rollDir,
                                IDoubleI xradius,
                                IDoubleI yradius,
                                boolean approx)

    - #### update

          public ICircle update(IVecI center,
                                IVecI xradiusVec,
                                IVecI yradiusVec,
                                boolean approx)

    - #### center

          public IVec center()

      Description copied from class: `ICurve`
      returns center of geometry object
      Specified by:
        `center` in interface `ICurveI`
      Overrides:
        `center` in class `ICurve`

    - #### center

          public ICircle center(IVecI c)

    - #### nml

          public IVecI nml()

    - #### nml

          public ICircle nml(IVec n)

    - #### radius

          public double radius()

    - #### radius

          public ICircle radius(double r)

    - #### radius

          public ICircle radius(IDoubleI r)

    - #### xradius

          public double xradius()

    - #### xradius

          public ICircle xradius(double r)

    - #### xradius

          public ICircle xradius(IDoubleI r)

    - #### yradius

          public double yradius()

    - #### yradius

          public ICircle yradius(double r)

    - #### yradius

          public ICircle yradius(IDoubleI r)

    - #### name

          public ICircle name(java.lang.String nm)

      Description copied from class: `ICurve`
      IObject methods
      Overrides:
        `name` in class `ICurve`

    - #### layer

          public ICircle layer(ILayer l)

      Description copied from class: `IGeometry`
      Set layer by ILayer object
      Overrides:
        `layer` in class `ICurve`

    - #### hide

          public ICircle hide()

      Overrides:
        `hide` in class `ICurve`

    - #### show

          public ICircle show()

      Overrides:
        `show` in class `ICurve`

    - #### clr

          public ICircle clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(IColor c,
                             int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(IColor c,
                             float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(IColor c,
                             double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(java.awt.Color c)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(java.awt.Color c,
                             int alpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(int gray)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(float fgray)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(double dgray)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(int gray,
                             int alpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(float fgray,
                             float falpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(double dgray,
                             double dalpha)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(int r,
                             int g,
                             int b)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(float fr,
                             float fg,
                             float fb)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(double dr,
                             double dg,
                             double db)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(int r,
                             int g,
                             int b,
                             int a)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(float fr,
                             float fg,
                             float fb,
                             float fa)

      Overrides:
        `clr` in class `ICurve`

    - #### clr

          public ICircle clr(double dr,
                             double dg,
                             double db,
                             double da)

      Overrides:
        `clr` in class `ICurve`

    - #### hsb

          public ICircle hsb(float h,
                             float s,
                             float b,
                             float a)

      Overrides:
        `hsb` in class `ICurve`

    - #### hsb

          public ICircle hsb(double h,
                             double s,
                             double b,
                             double a)

      Overrides:
        `hsb` in class `ICurve`

    - #### hsb

          public ICircle hsb(float h,
                             float s,
                             float b)

      Overrides:
        `hsb` in class `ICurve`

    - #### hsb

          public ICircle hsb(double h,
                             double s,
                             double b)

      Overrides:
        `hsb` in class `ICurve`

    - #### setColor

          public ICircle setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(java.awt.Color c,
                                  int alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(int gray)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(float fgray)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(double dgray)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(int gray,
                                  int alpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(float fgray,
                                  float falpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(double dgray,
                                  double dalpha)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(int r,
                                  int g,
                                  int b)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(float fr,
                                  float fg,
                                  float fb)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(double dr,
                                  double dg,
                                  double db)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(int r,
                                  int g,
                                  int b,
                                  int a)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(float fr,
                                  float fg,
                                  float fb,
                                  float fa)

      Overrides:
        `setColor` in class `ICurve`

    - #### setColor

          public ICircle setColor(double dr,
                                  double dg,
                                  double db,
                                  double da)

      Overrides:
        `setColor` in class `ICurve`

    - #### setHSBColor

          public ICircle setHSBColor(float h,
                                     float s,
                                     float b,
                                     float a)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### setHSBColor

          public ICircle setHSBColor(double h,
                                     double s,
                                     double b,
                                     double a)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### setHSBColor

          public ICircle setHSBColor(float h,
                                     float s,
                                     float b)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### setHSBColor

          public ICircle setHSBColor(double h,
                                     double s,
                                     double b)

      Overrides:
        `setHSBColor` in class `ICurve`

    - #### weight

          public ICircle weight(double w)

      Overrides:
        `weight` in class `ICurve`

    - #### weight

          public ICircle weight(float w)

      Overrides:
        `weight` in class `ICurve`